mxGraphMlKey.keyForValues (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.mxgraph.io.graphml
Enum mxGraphMlKey.keyForValues

    java.lang.Object
      java.lang.Enum<mxGraphMlKey.keyForValues>
          com.mxgraph.io.graphml.mxGraphMlKey.keyForValues

All Implemented Interfaces:
  Serializable, Comparable<mxGraphMlKey.keyForValues>

Enclosing class:
  mxGraphMlKey

    public static enum mxGraphMlKey.keyForValues

extends Enum<mxGraphMlKey.keyForValues>

Possibles values for the keyFor Attribute

Enum Constant Summary
`ALL`
`EDGE`
`ENDPOINT`
`GRAPH`
`HYPEREDGE`
`NODE`
`PORT`

Method Summary
`static mxGraphMlKey.keyForValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static mxGraphMlKey.keyForValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GRAPH

    public static final mxGraphMlKey.keyForValues GRAPH

### NODE

    public static final mxGraphMlKey.keyForValues NODE

### EDGE

    public static final mxGraphMlKey.keyForValues EDGE

### HYPEREDGE

    public static final mxGraphMlKey.keyForValues HYPEREDGE

### PORT

    public static final mxGraphMlKey.keyForValues PORT

### ENDPOINT

    public static final mxGraphMlKey.keyForValues ENDPOINT

### ALL

    public static final mxGraphMlKey.keyForValues ALL

Method Detail

### values

    public static mxGraphMlKey.keyForValues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (mxGraphMlKey.keyForValues c : mxGraphMlKey.keyForValues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static mxGraphMlKey.keyForValues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.